%global  real_name plasma-workspace
%global  bin_name  xembedsniproxy

Name:    xembed-sni-proxy
Summary: Legacy xembed tray icons support for SNI-only system trays
Version: 5.18.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://github.com/KDE/%{real_name}
Source0: %{url}/archive/v%{version}/%{real_name}-%{version}.tar.gz

Patch0:  https://aur.archlinux.org/cgit/aur.git/plain/cmake.patch?h=xembed-sni-proxy-git#/cmake.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  sed

BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  libXtst-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  xcb-util-image-devel

Conflicts:      %{real_name}
Requires:       dbus

%description
%{summary}.
Standalone package for non-KDE environments.


%prep
%autosetup -p1 -n %{real_name}-%{version}
# enable xdg autostart for non-KDE environments
sed -i -e '/^OnlyShowIn=/d' %{name}/%{bin_name}.desktop


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake ../%{name}
%make_build
popd


%install
%make_install -C %{_target_platform}


%check
desktop-file-validate \
    %{buildroot}%{_sysconfdir}/xdg/autostart/%{bin_name}.desktop


%files
%{_sysconfdir}/xdg/autostart/%{bin_name}.desktop
%{_bindir}/%{bin_name}


%changelog
* Wed Mar 18 2020 Aleksei Bavshin <alebastr89@gmail.com> - 5.18.3-1
- Initial packaging (based on AUR package)
